> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Item Graph Summary

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/item-graph/summary
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/item-graph/summary:
    get:
      tags:
        - admin
      summary: Get Item Graph Summary
      operationId: getItemGraphSummary
      parameters:
        - name: memoryId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultSummaryView'
components:
  schemas:
    SuccessResultSummaryView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SummaryView'
    SummaryView:
      type: object
      properties:
        entityCount:
          type: integer
          format: int64
        aliasCount:
          type: integer
          format: int64
        mentionCount:
          type: integer
          format: int64
        itemLinkCount:
          type: integer
          format: int64
        cooccurrenceCount:
          type: integer
          format: int64
        graphBatchCountByState:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        itemLinkCountByType:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        entityCountByType:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
    NamedCount:
      type: object
      properties:
        name:
          type: string
        count:
          type: integer
          format: int64

````